Merchant Wallet
curl --request GET \
--url https://nini.monieswitch.com/wallet/merchant \
--header 'Authorization: Bearer <token>'import requests
url = "https://nini.monieswitch.com/wallet/merchant"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nini.monieswitch.com/wallet/merchant', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"data": {
"wallet": {
"id": "d68b7371-6709-4247-99b3-142e3130aa69",
"bankCode": "999270",
"bankName": "Xpress Wallet",
"accountName": "Neyosoft",
"accountNumber": "4409794005",
"bookedBalance": 14985,
"availableBalance": 14985,
"createdAt": "2024-07-03T14:46:34.178Z",
"totalChildAccounts": 2,
"totalChildAccountBalance": 0,
"totalBalance": 14985
}
}
}{
"message": "You have to get your account approved before performing this action",
"status": false
}Wallet
Merchant Wallet
GET
/
wallet
/
merchant
Merchant Wallet
⌘I